package com.rhiannonweb.android.migrainetracker;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

import com.rhiannonweb.android.migrainetracker.data.Headache;
import com.rhiannonweb.android.migrainetracker.data.HeadacheListAdapter;
import com.rhiannonweb.android.migrainetracker.ui.DetailsDialog;

public class HeadacheListActivity extends ListActivity {
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		setListAdapter(new HeadacheListAdapter(this));
	}

	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
		super.onListItemClick(l, v, position, id);
		DetailsDialog editor = new DetailsDialog(this, (Headache)getListAdapter().getItem(position));
		editor.show();
	}
}
